summaryrefslogtreecommitdiff
path: root/tests.branching
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-23 11:15:20 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-23 11:15:20 +0000
commit2ff395757c6d0e5f48e0fbc57e90319e42197e8a (patch)
treefb9406c769822963db4be31696ac7c5bb4a26182 /tests.branching
parentaab2c0fb0de5cd183bb9278a1e6b1c05231729e9 (diff)
downloadmorph-2ff395757c6d0e5f48e0fbc57e90319e42197e8a.tar.gz
Add "morph edit", "morph show-system-branch" subcommands
Diffstat (limited to 'tests.branching')
-rwxr-xr-xtests.branching/edit-clones-chunk.script36
-rw-r--r--tests.branching/edit-clones-chunk.stdout6
-rwxr-xr-xtests.branching/show-system-branch-shows-name-correctly.script31
-rw-r--r--tests.branching/show-system-branch-shows-name-correctly.stdout1
4 files changed, 74 insertions, 0 deletions
diff --git a/tests.branching/edit-clones-chunk.script b/tests.branching/edit-clones-chunk.script
new file mode 100755
index 00000000..c4d84cda
--- /dev/null
+++ b/tests.branching/edit-clones-chunk.script
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Verify that "morph edit" clones a chunk repository into a system branch.
+
+
+set -eu
+
+# Create system branch.
+cd "$DATADIR/mine"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch newbranch
+
+# Edit chunk.
+cd newbranch/morphs
+"$SRCDIR/scripts/test-morph" edit hello master
+
+echo "Current branches, morphs:"
+"$SRCDIR/scripts/run-git-in" "$DATADIR/mine/newbranch/morphs" branch
+echo "Current branches, hello:"
+"$SRCDIR/scripts/run-git-in" "$DATADIR/mine/newbranch/hello" branch
+
diff --git a/tests.branching/edit-clones-chunk.stdout b/tests.branching/edit-clones-chunk.stdout
new file mode 100644
index 00000000..b5dd24d6
--- /dev/null
+++ b/tests.branching/edit-clones-chunk.stdout
@@ -0,0 +1,6 @@
+Current branches, morphs:
+ master
+* newbranch
+Current branches, hello:
+ master
+* newbranch
diff --git a/tests.branching/show-system-branch-shows-name-correctly.script b/tests.branching/show-system-branch-shows-name-correctly.script
new file mode 100755
index 00000000..38b2aa14
--- /dev/null
+++ b/tests.branching/show-system-branch-shows-name-correctly.script
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Check that 'morph show-system-branch' shows the name of the current system
+# branch correctly.
+
+
+set -eu
+
+# Create system branch.
+cd "$DATADIR/mine"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch newbranch
+
+cd newbranch/morphs
+"$SRCDIR/scripts/test-morph" show-system-branch
+
diff --git a/tests.branching/show-system-branch-shows-name-correctly.stdout b/tests.branching/show-system-branch-shows-name-correctly.stdout
new file mode 100644
index 00000000..467e4889
--- /dev/null
+++ b/tests.branching/show-system-branch-shows-name-correctly.stdout
@@ -0,0 +1 @@
+newbranch